documentation_complete: true

hidden: true

title: Default Profile for Debian 12

description: |-
    This profile contains all the rules that once belonged to the
    debian12 product via 'prodtype'. This profile won't
    be rendered into an XCCDF Profile entity, nor it will select any
    of these rules by default. The only purpose of this profile
    is to keep a rule in the product's XCCDF Benchmark.

selections:
    - file_permissions_backup_etc_passwd
    - gid_passwd_group_same
    - auditd_data_disk_full_action
    - gnome_gdm_disable_xdmcp
    - package_MFEhiplsm_installed
    - configure_user_data_backups
    - accounts_polyinstantiated_var_tmp
    - dir_ownership_binary_dirs
    - accounts_password_warn_age_login_defs
    - rsyslog_encrypt_offload_defaultnetstreamdriver
    - file_permissions_library_dirs
    - file_ownership_library_dirs
    - coredump_disable_storage
    - snmpd_not_default_password
    - auditd_data_retention_max_log_file_action_stig
    - sysctl_net_ipv6_conf_default_disable_ipv6
    - audit_rules_usergroup_modification
    - sshd_set_loglevel_verbose
    - file_owner_backup_etc_group
    - audit_rules_dac_modification_umount
    - no_empty_passwords
    - kernel_module_uvcvideo_disabled
    - file_groupowner_backup_etc_gshadow
    - sshd_disable_user_known_hosts
    - restrict_serial_port_logins
    - auditd_local_events
    - file_owner_backup_etc_shadow
    - file_groupowner_var_log
    - set_iptables_default_rule_forward
    - set_ip6tables_default_rule
    - account_use_centralized_automated_auth
    - display_login_attempts
    - sudo_require_authentication
    - sshd_rekey_limit
    - sysctl_net_ipv6_conf_all_disable_ipv6
    - sudo_vdsm_nopasswd
    - auditd_data_retention_space_left_action
    - fapolicyd_prevent_home_folder_access
    - sshd_enable_warning_banner
    - package_postfix_installed
    - audit_privileged_commands_poweroff
    - sshd_set_max_sessions
    - sudoers_no_root_target
    - auditd_write_logs
    - coredump_disable_backtraces
    - disable_host_auth
    - file_owner_backup_etc_gshadow
    - auditd_data_retention_action_mail_acct
    - sshd_do_not_permit_user_env
    - accounts_polyinstantiated_tmp
    - file_owner_backup_etc_passwd
    - rsyslog_remote_loghost
    - kernel_disable_entropy_contribution_for_solid_state_drives
    - avahi_disable_publishing
    - sudo_custom_logfile
    - sshd_use_priv_separation
    - audit_rules_time_settimeofday
    - kernel_module_rds_disabled
    - audit_privileged_commands_shutdown
    - file_groupownership_sshd_pub_key
    - account_passwords_pam_faillock_dir
    - directory_permissions_var_log_audit
    - audit_rules_unsuccessful_file_modification
    - file_permissions_backup_etc_gshadow
    - dir_permissions_library_dirs
    - file_ownership_var_log_audit
    - file_permissions_var_log
    - file_ownership_sshd_private_key
    - sshd_enable_warning_banner_net
    - file_groupowner_var_log_syslog
    - grub2_systemd_debug-shell_argument_absent
    - service_netfs_disabled
    - ftp_limit_users
    - file_groupownership_sshd_private_key
    - kernel_module_ipv6_option_disabled
    - file_groupownership_audit_configuration
    - rsyslog_accept_remote_messages_tcp
    - auditd_data_disk_full_action_stig
    - file_ownership_sshd_pub_key
    - sshd_disable_compression
    - sshd_disable_gssapi_auth
    - sshd_enable_gssapi_auth
    - sshd_print_last_log
    - dir_ownership_library_dirs
    - partition_for_dev_shm
    - file_groupowner_backup_etc_shadow
    - sshd_set_loglevel_info
    - ftp_configure_firewall
    - auditd_data_disk_error_action
    - mount_option_dev_shm_nodev
    - auditd_data_retention_admin_space_left_action
    - sshd_disable_tcp_forwarding
    - auditd_overflow_action
    - service_systemd-journald_enabled
    - auditd_data_retention_max_log_file_action
    - kernel_config_ipv6
    - file_permissions_home_dirs
    - file_ownership_binary_dirs
    - audit_rules_login_events_tallylog
    - grub2_disable_recovery
    - no_netrc_files
    - postfix_client_configure_mail_alias_postmaster
    - securetty_root_login_console_only
    - file_permissions_var_log_messages
    - accounts_password_minlen_login_defs
    - account_unique_name
    - selinux_not_disabled
    - package_nss-tools_installed
    - accounts_root_path_dirs_no_write
    - audit_rules_unsuccessful_file_modification_open_by_handle_at
    - sshd_enable_strictmodes
    - root_path_no_dot
    - sshd_set_login_grace_time
    - no_rsh_trust_files
    - sshd_enable_pubkey_auth
    - no_empty_passwords_etc_shadow
    - service_iptables_enabled
    - postfix_client_configure_relayhost
    - audit_privileged_commands_init
    - file_permissions_backup_etc_group
    - iptables_sshd_disabled
    - chronyd_server_directive
    - package_net-snmp_removed
    - auditd_data_retention_max_log_file
    - sshd_enable_pam
    - accounts_no_uid_except_zero
    - package_openssh-server_removed
    - auditd_log_format
    - accounts_minimum_age_login_defs
    - account_passwords_pam_faillock_audit
    - disallow_bypass_password_sudo
    - sshd_set_maxstartups
    - accounts_root_gid_zero
    - accounts_max_concurrent_login_sessions
    - auditd_data_retention_num_logs
    - file_owner_var_log
    - mount_option_dev_shm_nosuid
    - sshd_disable_x11_forwarding
    - sshd_enable_x11_forwarding
    - service_sshd_disabled
    - audit_rules_kernel_module_loading
    - sshd_disable_rhosts_rsa
    - audit_rules_login_events
    - file_permissions_audit_configuration
    - harden_ssh_client_crypto_policy
    - dhcp_server_minimize_served_info
    - no_all_squash_exports
    - sshd_set_max_auth_tries
    - sshd_disable_kerb_auth
    - sshd_disable_rhosts
    - file_permissions_backup_etc_shadow
    - service_ufw_enabled
    - package_openssh-server_installed
    - accounts_logon_fail_delay
    - selinux_state
    - audit_rules_file_deletion_events
    - dir_permissions_binary_dirs
    - file_groupowner_backup_etc_passwd
    - file_groupowner_var_log_messages
    - auditd_audispd_syslog_plugin_activated
    - set_iptables_default_rule
    - file_groupowner_backup_etc_group
    - sshd_disable_pubkey_auth
    - package_gnutls-utils_installed
    - dhcp_client_restrict_options
    - audit_privileged_commands_reboot
    - file_permissions_binary_dirs
    - auditd_freq
    - kernel_module_tipc_disabled
    - accounts_passwords_pam_faillock_audit
    - rsyslog_encrypt_offload_actionsendstreamdrivermode
    - rsyslog_encrypt_offload_actionsendstreamdriverauthmode
    - accounts_password_last_change_is_in_past
    - auditd_data_disk_error_action_stig
    - accounts_password_all_shadowed
    - rsyslog_accept_remote_messages_udp
    - file_permissions_sshd_pub_key
    - file_owner_var_log_messages
    - file_permissions_var_log_syslog
    - sshd_disable_root_password_login
    - file_ownership_audit_configuration
    - audit_rules_mac_modification_usr_share
    - service_chronyd_enabled
    - file_owner_var_log_syslog
    - sshd_limit_user_access
    - audit_rules_mac_modification
    - service_ip6tables_enabled
    - service_snmpd_disabled
