documentation_complete: true

hidden: true

title: Default Profile for Oracle Linux 7

description: |-
    This profile contains all the rules that once belonged to the
    ol7 product via 'prodtype'. This profile won't
    be rendered into an XCCDF Profile entity, nor it will select any
    of these rules by default. The only purpose of this profile
    is to keep a rule in the product's XCCDF Benchmark.

selections:
    - audit_rules_successful_file_modification_open_by_handle_at_o_trunc_write
    - auditd_data_disk_full_action
    - mount_option_var_tmp_bind
    - rsyslog_encrypt_offload_defaultnetstreamdriver
    - mount_option_home_grpquota
    - coredump_disable_storage
    - auditd_data_retention_max_log_file_action_stig
    - install_mcafee_antivirus
    - audit_rules_unsuccessful_file_modification_openat_rule_order
    - audit_rules_successful_file_modification_lsetxattr
    - file_owner_backup_etc_shadow
    - file_groupowner_var_log
    - file_permissions_etc_hosts_deny
    - set_ip6tables_default_rule
    - package_krb5-workstation_removed
    - xwindows_remove_packages
    - sshd_set_max_sessions
    - sudoers_no_root_target
    - enable_ldap_client
    - file_owner_backup_etc_gshadow
    - audit_rules_etc_shadow_open
    - file_owner_backup_etc_passwd
    - package_ntpdate_removed
    - ntpd_specify_multiple_servers
    - configure_firewalld_rate_limiting
    - file_groupownership_sshd_pub_key
    - directory_permissions_var_log_audit
    - audit_rules_unsuccessful_file_modification_renameat
    - package_abrt-plugin-rhtsupport_removed
    - package_abrt-addon-ccpp_removed
    - file_groupowner_var_log_syslog
    - service_netfs_disabled
    - file_groupownership_audit_configuration
    - file_ownership_sshd_pub_key
    - package_ntp_installed
    - package_policycoreutils_installed
    - package_cron_installed
    - file_groupowner_etc_issue
    - audit_rules_successful_file_modification_unlinkat
    - sshd_disable_tcp_forwarding
    - account_unique_id
    - package_openscap-scanner_installed
    - file_permissions_home_dirs
    - audit_rules_privileged_commands_newgidmap
    - no_netrc_files
    - package_libcap-ng-utils_installed
    - postfix_client_configure_mail_alias_postmaster
    - file_groupowner_etc_issue_net
    - package_xorg-x11-server-common_removed
    - file_permissions_backup_etc_group
    - service_iptables_enabled
    - chronyd_server_directive
    - audit_rules_unsuccessful_file_modification_rename
    - package_binutils_installed
    - audit_rules_successful_file_modification_open_o_trunc_write
    - audit_rules_unsuccessful_file_modification_open_by_handle_at_rule_order
    - service_sshd_disabled
    - file_owner_efi_user_cfg
    - file_permissions_audit_configuration
    - audit_rules_successful_file_modification_openat_o_trunc_write
    - audit_rules_successful_file_modification_removexattr
    - audit_rules_successful_file_modification_fchownat
    - package_nfs-utils_removed
    - audit_rules_successful_file_modification_open_o_creat
    - file_permissions_backup_etc_shadow
    - package_abrt-addon-kerneloops_removed
    - sshd_disable_pubkey_auth
    - package_usbguard_installed
    - audit_privileged_commands_reboot
    - install_mcafee_hbss_pa
    - kernel_module_tipc_disabled
    - package_syslogng_installed
    - audit_rules_mac_modification_usr_share
    - sshd_limit_user_access
    - install_mcafee_hbss_accm
    - kerberos_disable_no_keytab
    - file_permissions_backup_etc_passwd
    - audit_rules_unsuccessful_file_modification_chown
    - audit_rules_unsuccessful_file_modification_open_by_handle_at_o_trunc_write
    - audit_rules_etc_shadow_open_by_handle_at
    - audit_rules_privileged_commands_pt_chown
    - directory_access_var_log_audit
    - sshd_set_loglevel_verbose
    - package_bind_removed
    - sssd_memcache_timeout
    - kernel_module_uvcvideo_disabled
    - no_password_auth_for_systemaccounts
    - audit_rules_successful_file_modification_open_by_handle_at_o_creat
    - file_groupowner_etc_gshadow
    - account_use_centralized_automated_auth
    - sudo_vdsm_nopasswd
    - audit_rules_unsuccessful_file_modification_setxattr
    - package_libselinux_installed
    - coredump_disable_backtraces
    - package_inetutils-telnetd_removed
    - audit_rules_successful_file_modification_openat
    - audit_rules_unsuccessful_file_modification_fchmod
    - service_ntpd_enabled
    - avahi_disable_publishing
    - audit_rules_successful_file_modification_fchmod
    - sssd_offline_cred_expiration
    - sudo_custom_logfile
    - account_passwords_pam_faillock_dir
    - file_permissions_backup_etc_gshadow
    - package_iptables_installed
    - package_iprutils_removed
    - file_groupownership_sshd_private_key
    - kernel_module_ipv6_option_disabled
    - xwindows_runlevel_target
    - audit_rules_successful_file_modification_renameat
    - dir_ownership_library_dirs
    - file_groupowner_backup_etc_shadow
    - package_sssd_installed
    - audit_rules_successful_file_modification_open
    - no_shelllogin_for_systemaccounts
    - service_systemd-journald_enabled
    - audit_rules_etc_shadow_openat
    - file_permissions_etc_issue
    - file_permissions_var_log_messages
    - accounts_user_interactive_home_directory_defined
    - package_nss-tools_installed
    - postfix_client_configure_relayhost
    - audit_privileged_commands_init
    - etc_system_fips_exists
    - iptables_sshd_disabled
    - grub2_ipv6_disable_argument
    - package_net-snmp_removed
    - ensure_gpgcheck_repo_metadata
    - service_postfix_enabled
    - package_openssh-server_removed
    - file_owner_user_cfg
    - mount_option_var_nodev
    - audit_rules_successful_file_modification_lchown
    - sshd_set_maxstartups
    - file_owner_var_log
    - service_cron_enabled
    - file_permissions_efi_user_cfg
    - package_audispd-plugins_installed
    - file_permissions_user_cfg
    - audit_rules_successful_file_modification_unlink
    - no_all_squash_exports
    - audit_rules_etc_gshadow_openat
    - service_ufw_enabled
    - mount_option_boot_nodev
    - dir_permissions_binary_dirs
    - file_groupowner_backup_etc_passwd
    - package_nis_removed
    - mount_option_var_log_audit_noexec
    - package_gnutls-utils_installed
    - audit_rules_etc_passwd_open
    - dhcp_client_restrict_options
    - banner_etc_issue_net
    - account_emergency_expire_date
    - accounts_password_last_change_is_in_past
    - audit_rules_unsuccessful_file_modification_lremovexattr
    - file_permissions_var_log_syslog
    - audit_rules_etc_passwd_open_by_handle_at
    - file_owner_var_log_syslog
    - service_ip6tables_enabled
    - auditd_data_retention_space_left
    - package_cryptsetup-luks_installed
    - file_groupowner_etc_hosts_allow
    - audit_rules_unsuccessful_file_modification_open_o_trunc_write
    - package_tar_installed
    - configure_user_data_backups
    - dir_ownership_binary_dirs
    - sysctl_net_ipv6_conf_default_disable_ipv6
    - file_owner_backup_etc_group
    - audit_rules_privileged_commands_newuidmap
    - sshd_rekey_limit
    - audit_rules_unsuccessful_file_modification_chmod
    - fapolicyd_prevent_home_folder_access
    - no_legacy_plus_entries_etc_passwd
    - configure_etc_hosts_deny
    - audit_rules_successful_file_modification_fsetxattr
    - service_sssd_enabled
    - audit_rules_successful_file_modification_fremovexattr
    - package_krb5-server_removed
    - mount_option_var_log_audit_nosuid
    - audit_rules_successful_file_modification_rename
    - kernel_module_rds_disabled
    - file_permissions_var_log
    - file_ownership_sshd_private_key
    - audit_rules_successful_file_modification_setxattr
    - grub2_systemd_debug-shell_argument_absent
    - bios_enable_execution_restrictions
    - auditd_data_disk_full_action_stig
    - audit_rules_unsuccessful_file_modification_open_by_handle_at_o_creat
    - audit_rules_unsuccessful_file_modification_fsetxattr
    - sshd_enable_gssapi_auth
    - partition_for_dev_shm
    - audit_rules_etc_group_openat
    - auditd_data_disk_error_action
    - audit_rules_unsuccessful_file_modification_fchownat
    - file_permissions_systemmap
    - file_owner_etc_hosts_allow
    - audit_rules_unsuccessful_file_modification_open_o_creat
    - kernel_config_ipv6
    - audit_rules_successful_file_modification_chown
    - audit_rules_successful_file_modification_fchmodat
    - grub2_disable_recovery
    - file_permissions_efi_grub2_cfg
    - audit_rules_unsuccessful_file_modification_removexattr
    - audit_rules_unsuccessful_file_modification_openat_o_trunc_write
    - package_telnetd_removed
    - use_pam_wheel_for_su
    - service_cockpit_disabled
    - no_legacy_plus_entries_etc_group
    - mount_option_boot_noauto
    - sshd_set_login_grace_time
    - sshd_enable_pubkey_auth
    - audit_rules_unsuccessful_file_modification_lchown
    - file_owner_etc_issue
    - audit_rules_successful_file_modification_fchown
    - sshd_enable_pam
    - package_gssproxy_removed
    - service_syslogng_enabled
    - file_permissions_etc_motd
    - account_passwords_pam_faillock_audit
    - accounts_root_gid_zero
    - package_sssd-ipa_installed
    - package_openldap-clients_removed
    - audit_rules_etc_gshadow_open_by_handle_at
    - banner_etc_motd
    - audit_rules_successful_file_modification_truncate
    - dhcp_server_minimize_served_info
    - file_owner_etc_hosts_deny
    - package_abrt-cli_removed
    - audit_rules_successful_file_modification_open_by_handle_at
    - file_permissions_etc_issue_net
    - file_groupowner_var_log_messages
    - audit_rules_successful_file_modification_chmod
    - file_groupowner_backup_etc_group
    - audit_rules_unsuccessful_file_modification_lsetxattr
    - auditd_data_disk_error_action_stig
    - file_owner_var_log_messages
    - installed_OS_is_FIPS_certified
    - network_ipv6_default_gateway
    - sshd_disable_root_password_login
    - harden_sshd_crypto_policy
    - file_ownership_audit_configuration
    - package_telnetd-ssl_removed
    - mount_option_var_log_audit_nodev
    - file_groupowner_etc_hosts_deny
    - service_chronyd_enabled
    - package_libreport-plugin-logger_removed
    - audit_rules_successful_file_modification_ftruncate
    - package_rng-tools_installed
    - package_abrt-plugin-logger_removed
    - gnome_gdm_disable_xdmcp
    - package_MFEhiplsm_installed
    - audit_rules_etc_passwd_openat
    - mount_option_home_usrquota
    - file_permissions_etc_hosts_allow
    - package_scap-security-guide_installed
    - audit_rules_dac_modification_umount
    - file_groupowner_backup_etc_gshadow
    - audit_rules_etc_group_open
    - set_iptables_default_rule_forward
    - service_rsyncd_disabled
    - audit_rules_unsuccessful_file_modification_openat_o_creat
    - package_abrt-plugin-sosreport_removed
    - package_postfix_installed
    - audit_privileged_commands_poweroff
    - audit_rules_successful_file_modification_creat
    - root_path_default
    - coreos_enable_selinux_kernel_argument
    - kernel_disable_entropy_contribution_for_solid_state_drives
    - audit_rules_successful_file_modification_lremovexattr
    - sudo_add_passwd_timeout
    - package_freeradius_removed
    - audit_privileged_commands_shutdown
    - dir_permissions_library_dirs
    - audit_rules_unsuccessful_file_modification_unlink
    - sshd_enable_warning_banner_net
    - ftp_limit_users
    - rsyslog_accept_remote_messages_tcp
    - package_libreport-plugin-rhtsupport_removed
    - ftp_configure_firewall
    - network_ipv6_static_address
    - audit_rules_unsuccessful_file_modification_fremovexattr
    - package_geolite2-country_removed
    - audit_rules_etc_group_open_by_handle_at
    - selinux_not_disabled
    - audit_rules_unsuccessful_file_modification_fchown
    - package_vim_installed
    - file_owner_etc_issue_net
    - grub2_uefi_password_legacy
    - install_mcafee_cma_rt
    - file_groupowner_etc_motd
    - no_root_webbrowsing
    - audit_rules_etc_gshadow_open
    - ntpd_specify_remote_server
    - audit_rules_successful_file_modification_openat_o_creat
    - harden_ssh_client_crypto_policy
    - sshd_set_max_auth_tries
    - package_geolite2-city_removed
    - set_iptables_default_rule
    - package_abrt-addon-python_removed
    - package_tuned_removed
    - no_legacy_plus_entries_etc_shadow
    - accounts_passwords_pam_faillock_audit
    - rsyslog_encrypt_offload_actionsendstreamdrivermode
    - rsyslog_encrypt_offload_actionsendstreamdriverauthmode
    - grub2_password_legacy
    - file_owner_etc_motd
    - rsyslog_accept_remote_messages_udp
    - audit_rules_unsuccessful_file_modification_unlinkat
    - audit_rules_unsuccessful_file_modification_open_rule_order
    - audit_rules_unsuccessful_file_modification_fchmodat
    - mount_option_var_log_nodev
